Module javafx.base
Package javafx.beans.property

# Class ReadOnlyObjectPropertyBase<T>

java.lang.Object
javafx.beans.binding.ObjectExpression<T>
javafx.beans.property.ReadOnlyObjectProperty<T>
javafx.beans.property.ReadOnlyObjectPropertyBase<T>

Type Parameters:
  `T` - the type of the wrapped `Object`

All Implemented Interfaces:
  `Observable`, `ReadOnlyProperty<T>`, `ObservableObjectValue<T>`, `ObservableValue<T>`

Direct Known Subclasses:
  `ReadOnlyJavaBeanObjectProperty`

    public abstract class ReadOnlyObjectPropertyBase<T>
    extends ReadOnlyObjectProperty<T>

Base class for all readonly properties wrapping an arbitrary `Object`. This class provides a default implementation to attach listener.

Since:
  JavaFX 2.0
See Also:
  `ReadOnlyObjectProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReadOnlyObjectPropertyBase()` | Creates a default `ReadOnlyObjectPropertyBase`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `fireValueChangedEvent()` | Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.

  ### Methods declared in class javafx.beans.property.ReadOnlyObjectProperty

  `toString`

  ### Methods declared in class javafx.beans.binding.ObjectExpression

  `asString, asString, asString, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotNull, isNull, objectExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableObjectValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

- ## Constructor Details

  - ### ReadOnlyObjectPropertyBase

    public ReadOnlyObjectPropertyBase()
    Creates a default `ReadOnlyObjectPropertyBase`.

- ## Method Details

  - ### fireValueChangedEvent

    protected void fireValueChangedEvent()
    Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method needs to be called, if the value of this property changes.